# SpaceNodeEditorPath(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``SpaceNodeEditorPath`(bpy_struct)

  Get the node tree path as a string

  `to_string`

    Type: | string, default “”, (readonly, never None)

  `clear`()

    Reset the node tree path

  `start`(node_tree)

    Set the root node tree

    Parameters: | node_tree (`NodeTree`) – Node Tree

  `append`(node_tree, node=None)

    Append a node group tree to the path

    Parameters: | node_tree (`NodeTree`) – Node Tree, Node tree to append to the node editor path node (`Node`, (optional)) – Node, Group node linking to this node tree

  `pop`()

    Remove the last node tree from the path

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`SpaceNodeEditor.path` |